# XQilla Simple API Documentation

# VariableStore Class Reference

The pure virtual base class for accessing variables at runtime. More...

`#include <VariableStore.hpp>`

List of all members.

## Public Member Functions

virtual | ~VariableStore ()
| default destructor
virtual Result | getVar (const XMLCh *namespaceURI, const XMLCh *name) const =0
| Looks up the value of a variable by namespace URI and localname pair.
virtual void | getInScopeVariables (std::vector< std::pair< const XMLCh *, const XMLCh * > > &variables) const =0
| Fills the vector provided with the uri and localname of the variables in scope.

## Detailed Description

The pure virtual base class for accessing variables at runtime.

## Constructor & Destructor Documentation

virtual VariableStore::~VariableStore | ( |  | ) | `[inline, virtual]`

default destructor

## Member Function Documentation

virtual void VariableStore::getInScopeVariables | ( | std::vector< std::pair< const XMLCh *, const XMLCh * > > & | variables | ) | const`[pure virtual]`

Fills the vector provided with the uri and localname of the variables in scope.

virtual Result VariableStore::getVar | ( | const XMLCh * | namespaceURI,
|  | const XMLCh * | name |
| ) |  |  | const`[pure virtual]`

Looks up the value of a variable by namespace URI and localname pair.

The documentation for this class was generated from the following file:

- VariableStore.hpp